<?php
namespace MageDeveloper\Magepdf\ViewHelpers;

abstract class AbstractViewHelper extends \TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper
{
	/**
	 * @var \TYPO3\CMS\Extbase\Object\ObjectManager
	 * @inject
	 */
	protected $objectManager;

	/**
	 * Settings Service
	 * 
	 * @var \MageDeveloper\Magepdf\Service\SettingsService
	 * @inject
	 */
	protected $settingsService;

	/**
	 * Constructor
	 */
	public function __construct()
	{
		$this->objectManager            = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance("TYPO3\\CMS\\Extbase\\Object\\ObjectManager");
		$this->settingsService          = $this->objectManager->get("MageDeveloper\\Magepdf\\Service\\SettingsService");
	}


	public function render()
	{
		return "";
	}


}
